// Copyright 2020 the Deno authors. All rights reserved. MIT license.

/// List of globals available in Deno environment
///
/// Adapted from https://www.npmjs.com/package/globals
#[allow(unused)]
pub static GLOBALS: &[&str] = &[
  "AbortController",
  "AbortSignal",
  "addEventListener",
  "Array",
  "ArrayBuffer",
  "atob",
  "Atomics",
  "BigInt",
  "BigInt64Array",
  "BigUint64Array",
  "Blob",
  "Boolean",
  "btoa",
  "clearInterval",
  "clearTimeout",
  "close",
  "closed",
  "CloseEvent",
  "console",
  "constructor",
  "CountQueuingStrategy",
  "crypto",
  "CustomEvent",
  "DataView",
  "Date",
  "decodeURI",
  "decodeURIComponent",
  "Deno",
  "dispatchEvent",
  "DOMException",
  "encodeURI",
  "encodeURIComponent",
  "Error",
  "ErrorEvent",
  "escape",
  "eval",
  "EvalError",
  "event",
  "Event",
  "EventSource",
  "EventTarget",
  "fetch",
  "File",
  "FileReader",
  "FinalizationRegistry",
  "Float32Array",
  "Float64Array",
  "FormData",
  "Function",
  "globalThis",
  "Headers",
  "hasOwnProperty",
  "Infinity",
  "Int16Array",
  "Int32Array",
  "Int8Array",
  "isFinite",
  "isNaN",
  "isPrototypeOf",
  "JSON",
  "Map",
  "Math",
  "NaN",
  "Number",
  "Object",
  "onmessage",
  "onmessageerror",
  "parseFloat",
  "parseInt",
  "performance",
  "Performance",
  "PerformanceEntry",
  "PerformanceMark",
  "PerformanceMeasure",
  "Permissions",
  "PermissionStatus",
  "postMessage",
  "ProgressEvent",
  "Promise",
  "propertyIsEnumerable",
  "Proxy",
  "queueMicrotask",
  "RangeError",
  "ReadableStream",
  "ReferenceError",
  "Reflect",
  "RegExp",
  "removeEventListener",
  "Request",
  "Response",
  "self",
  "Set",
  "setInterval",
  "setTimeout",
  "SharedArrayBuffer",
  "String",
  "Symbol",
  "SyntaxError",
  "TextDecoder",
  "TextEncoder",
  "toLocaleString",
  "toString",
  "TransformStream",
  "TypeError",
  "Uint16Array",
  "Uint32Array",
  "Uint8Array",
  "Uint8ClampedArray",
  "undefined",
  "unescape",
  "URIError",
  "URL",
  "URLSearchParams",
  "valueOf",
  "WeakMap",
  "WeakRef",
  "WeakSet",
  "WebAssembly",
  "WebSocket",
  "window",
  "Window",
  "Worker",
  "WritableStream",
];
